import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { optionsListApi,optionsListApiType } from '/@/api/tigerapi/mes/smt/smtmtproject';
import { h,unref } from 'vue';
import { Tag ,Tooltip} from 'ant-design-vue';
import{ useLocale } from '/@/locales/useLocale';

const { getLocale }=useLocale();

export const columns: BasicColumn[] = [
  {
    title: '保养项目编码',
    dataIndex: 'PROJ_CODE',
    width:200,
    sorter: true,
    resizable:true
  },
  {
    title: '保养项目名称',
    dataIndex: 'PROJ_NAME',
    width: 100,
    sorter: true,
    resizable:true
  },
  {
    title: '类型',
    dataIndex: 'TOOL_TYPE',
    width: 100,
    sorter: true,
    resizable: true,
    customRender: ({ record }) => {
      const status = record.TOOL_TYPE;
      var text = '';
      var color = '';
      switch (status) {
        case 0:
          text = '钢网';
          color = 'green';
          break;
        case 1:
          text = '刮刀';
          color = 'blue';
          break;
        default:
          break;
      }
      return h(Tooltip, { title: 'xxxxxx' }, () => h(Tag, { color: color }, () => text));
    },
  },
  {
    title: '保养项1',
    dataIndex: 'ITEM01',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项1',
    dataIndex: 'ITEM01',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项2',
    dataIndex: 'ITEM02',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项3',
    dataIndex: 'ITEM03',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项4',
    dataIndex: 'ITEM04',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项5',
    dataIndex: 'ITEM05',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项6',
    dataIndex: 'ITEM06',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项7',
    dataIndex: 'ITEM07',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项8',
    dataIndex: 'ITEM08',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项9',
    dataIndex: 'ITEM09',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项10',
    dataIndex: 'ITEM10',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项11',
    dataIndex: 'ITEM11',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项12',
    dataIndex: 'ITEM12',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项13',
    dataIndex: 'ITEM13',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项14',
    dataIndex: 'ITEM14',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项15',
    dataIndex: 'ITEM15',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项16',
    dataIndex: 'ITEM16',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项17',
    dataIndex: 'ITEM17',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项18',
    dataIndex: 'ITEM18',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项19',
    dataIndex: 'ITEM19',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项20',
    dataIndex: 'ITEM20',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '备注',
    dataIndex: 'REMARK',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '创建人',
    dataIndex: 'CREATE_USER',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
    width:100,
    sorter: true,
    resizable:true
  }
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'PROJ_CODE',
    label: '保养项目编码',
    component: 'Input',
    colProps: { span: 8 },
  }
];

//新增组件export const
export const formSchema: FormSchema[] = [
  {
    label: '保养项目编码',
    field: 'PROJ_CODE',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    field: 'ID',
    label: 'ID',
    component: 'Input',
    show: false,
  },
  {
    label: '保养项目名称',
    field: 'PROJ_NAME',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '类型',
    field: 'TOOL_TYPE',
    required: true,
    component: 'ApiSelect',
    colProps: { span: 12 },
    componentProps: {
      api: optionsListApiType,
      resultField: 'Data',
      labelField: unref(getLocale)=='zh_CN'?'Desc':'Name',
      valueField: 'Value',
    },
  },
  {
    label: '保养项1',
    field: 'ITEM01',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项2',
    field: 'ITEM02',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项3',
    field: 'ITEM03',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项4',
    field: 'ITEM04',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项5',
    field: 'ITEM05',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项6',
    field: 'ITEM06',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项7',
    field: 'ITEM07',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项8',
    field: 'ITEM08',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项9',
    field: 'ITEM09',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项10',
    field: 'ITEM10',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项11',
    field: 'ITEM11',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项12',
    field: 'ITEM12',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项13',
    field: 'ITEM13',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项14',
    field: 'ITEM14',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项15',
    field: 'ITEM15',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项16',
    field: 'ITEM16',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项17',
    field: 'ITEM17',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项18',
    field: 'ITEM18',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项19',
    field: 'ITEM19',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '保养项20',
    field: 'ITEM20',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  },
  {
    label: '备注',
    field: 'REMARK',
    required: true,
    colProps: { span: 12 },
    component: 'Input',
  }
];
